﻿<!--
 *   Rogue Client Detector - Copyright 2015 Clement Lorteau
 * 
 *  This file is part of Rogue Client Detector.
 *
 *  Rogue Client Detector is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Rogue Client Detector is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Rogue Client Detector.  If not, see <http://www.gnu.org/licenses/>.
-->
    
    <Window x:Class="RCDGUI.ConfigWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:rcd="clr-namespace:RCDLogic;assembly=RCDLogic"
        mc:Ignorable="d"
        Title="Configuration" Height="400" Width="350" Icon="Resources/app.ico"
        Background="{DynamicResource {x:Static SystemColors.ControlBrushKey}}"
        FontFamily="Segoe UI Light"
        Closed="Window_Closed"
        d:DataContext="{d:DesignInstance IsDesignTimeCreatable=True, Type=rcd:Settings}" ResizeMode="NoResize" Topmost="True"
        >
    <Grid Margin="0">
        <Grid.RowDefinitions>
            <RowDefinition Height="*"/>
            <RowDefinition Height="Auto"/>
        </Grid.RowDefinitions>
        <ScrollViewer VerticalScrollBarVisibility="Auto" Grid.Row="0">
            <Grid Margin="10">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="*"/>
                    <ColumnDefinition Width="*"/>
                </Grid.ColumnDefinitions>
                <Grid.RowDefinitions>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                </Grid.RowDefinitions>
                <TextBlock Text="Check interval (minutes)" Grid.Row="0" Grid.Column="0"/>
                <TextBox Grid.Row="0" Grid.Column="1" Text="{Binding CheckInterval, Mode=TwoWay}" HorizontalAlignment="Left" Width="50" PreviewTextInput="TextBox_PreviewTextInput" Margin="0,0,0,5" />
                <TextBlock Text="DHCP server (IP or host name)" Grid.Row="1" Grid.Column="0"/>
                <TextBox Grid.Row="1" Grid.Column="1" Text="{Binding DHCPServer, Mode=TwoWay}" HorizontalAlignment="Left" Width="150" Margin="0,0,0,5"/>
                <TextBlock Text="Send email notifications" Grid.Row="2" Grid.Column="0"/>
                <CheckBox IsChecked="{Binding SendEmail, Mode=TwoWay}" Grid.Row="2" Grid.Column="1" Margin="0,0,0,10" Checked="CheckBox_Checked" Unchecked="CheckBox_Checked"/>
                <Grid Name="MailSettingsGrid" Grid.Row="3" Grid.Column="0" Grid.ColumnSpan="2" Margin="25,0,0,0">
                    <Grid.RowDefinitions>
                        <RowDefinition Height="Auto"/>
                        <RowDefinition Height="Auto"/>
                        <RowDefinition Height="Auto"/>
                        <RowDefinition Height="Auto"/>
                        <RowDefinition Height="Auto"/>
                    </Grid.RowDefinitions>
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="135"/>
                        <ColumnDefinition Width="Auto"/>
                    </Grid.ColumnDefinitions>
                    <TextBlock Text="SMTP server IP/host" Grid.Row="0" Grid.Column="0"/>
                    <TextBox Text="{Binding SMTPServer, Mode=TwoWay}" Grid.Row="0" Grid.Column="1" Width="150" Margin="0,0,0,10"/>
                    <TextBlock Text="SMTP server port number" Grid.Row="1" Grid.Column="0"/>
                    <TextBox Text="{Binding SMTPPort, Mode=TwoWay}" Grid.Row="1" Grid.Column="1" Width="50" HorizontalAlignment="Left" Margin="0,0,0,10"/>
                    <TextBlock Text="From address" Grid.Row="2" Grid.Column="0"/>
                    <TextBox Text="{Binding FromAddress, Mode=TwoWay}" Grid.Row="2" Grid.Column="1" Margin="0,0,0,10"/>
                    <TextBlock Text="To address" Grid.Row="3" Grid.Column="0"/>
                    <TextBox Text="{Binding ToAddress, Mode=TwoWay}" Grid.Row="3" Grid.Column="1" Margin="0,0,0,10"/>
                    <TextBlock Text="Subject" Grid.Row="4" Grid.Column="0"/>
                    <TextBox Text="{Binding Subject, Mode=TwoWay}" Grid.Row="4" Grid.Column="1" Margin="0,0,0,10"/>
                </Grid>
                <TextBlock Text="Detection regular expression - host names *NOT* matching this regexp will be considered rogues" Grid.Row="4" Grid.Column="0" TextWrapping="Wrap"/>
                <TextBox Text="{Binding DetectionRegEx, Mode=TwoWay}" Grid.Row="4" Grid.Column="1"/>
            </Grid>
        </ScrollViewer>
        <Button Grid.Row="1" VerticalAlignment="Center" HorizontalAlignment="Center" IsDefault="True" Padding="30,5" Margin="0,10" Click="Button_Click">
            OK
        </Button>
    </Grid>
</Window>
